<mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>

<div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="no">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> No </th>
            <td mat-cell *matCellDef="let row"> {{row.no}} </td>
        </ng-container>

        <ng-container matColumnDef="trx">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> No Trx </th>
            <td mat-cell *matCellDef="let row"> {{row.trx}} </td>
        </ng-container>

        <ng-container matColumnDef="kd_tindakan">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Kode Layanan </th>
            <td mat-cell *matCellDef="let row"> {{row.kd_tindakan}} </td>
        </ng-container>

        <ng-container matColumnDef="grp">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Jenis Pelayanan </th>
            <td mat-cell *matCellDef="let row"> {{row.grp}} </td>
        </ng-container>

        <ng-container matColumnDef="tanggal">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Tanggal </th>
            <td mat-cell *matCellDef="let row"> {{row.tanggal}} </td>
        </ng-container>

        <ng-container matColumnDef="hasil">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Hasil </th>
            <td mat-cell *matCellDef="let row">
                <button mat-stroked-button (click)="openDialogHasilLab(row.trx)">Lihat</button>
                <button mat-stroked-button (click)="showHasilLab(row)">Lihat New</button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" showFirstLastButtons></mat-paginator>
</div>